Returns the color of the specified colormap index

- « Imagick::getImageClipMask

- Imagick::getImageColors »

- PHP Manual
- Imagick
- Returns the color of the specified colormap index

# Imagick::getImageColormapColor

(PECL imagick 2, PECL imagick 3)

Imagick::getImageColormapColor — Returns the color of the specified colormap index

### Description

public Imagick::getImageColormapColor(int `$index`): ImagickPixel

Returns the color of the specified colormap index.

### Parameters

`index`

  The offset into the image colormap.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.